Skip to content

Devices

Manage vehicle-connected hardware.

Get List of Devices

Lists all active and pending devices (vehicle connected hardware) in account.

GET

http
https://api.zubiecar.com/api/v2/zinc/devices

Query Parameters

PropertyTypeDescription
qoptionalSearch devices by serial.
cursoroptionalThe cursor string used for pagination, signifying the object ID where to start the results.
sizeoptionalThe number of results to return per call. Defaults to 100 if not provided.
Sample response 200
json
{
    "billing_info": {
        "billing_method": "credit-card",
        "card_type": "visa",
        "expiration_month": 8,
        "expiration_year": 2020,
        "last_four": "1111",
        "updated": "2018-06-19 12:00:00"
    },
    "city": "Bloomington",
    "created": "2018-02-20 12:00:00",
    "external_id": "3828919",
    "key": "SampleKey",
    "nickname": "Trucking Fleet",
    "owner_key": "SampleKey",
    "partner_key": "SampleKey",
    "partner_name": "Zubie Fleet Connect",
    "partner_tier": {
        "key": "SampleKey",
        "name": "Premium",
        "partner_key": "SampleKey"
    },
    "setup_complete": "2018-02-20 12:00:00",
    "state": "MN",
    "street": "8000 Penn Ave",
    "updated": "2018-02-20T12:00:00+00:00",
    "user_count": 24,
    "zipcode": "55435"
}

Get a Device

Retrieve a specific device.

GET

http
https://api.zubiecar.com/api/v2/zinc/device/{key}

Path Parameters

PropertyTypeDescription
keyrequiredUnique device key.
Sample response 200
json
{
  "key": "SampleKey",
  "serial": "ZU9999999",
  "status": "installed",
  "vehicle_key": "SampleKey",
  "is_connected": true,
  "disconnected_timestamp": "2018-03-01T01:02:03+00:00",
  "last_transmission": "2018-03-01T01:02:03+00:00"
}

Update a Device

Update a Device subscription status.

POST

http
https://api.zubiecar.com/api/v2/zinc/device/{key}

Path Parameters

PropertyTypeDescription
keyrequiredUnique device key.

Request body schema

PropertyTypeDescription
subscription_statusstringSpecify value canceled to mark a device as "Do Not Renew" or active to "un-cancel" a canceled device.
Sample request body
json
{
  "subscription_status": "canceled"
}